Docs
Get an API key
API reference›Vector Store

Get Collection Item

GET /v1/vector_store/{id}/items/{itemid} View .md

Retrieve a vector store collection item by the ID.

  • id string required

    The ID of the vector store collection.

  • itemid string required

    The ID of the vector store collection item.

OK

application/json · get-vector-store-item-response-payload

1 field
  • item object

    An object representing an embeddings record within a vector store collection.

    4 fields
    • id string

      The unique ID of the vector store collection item.

    • created string

      The UTC creation timestamp of the collection item in ISO 8601 format.

    • description string

      The short description of the content stored as embeddings for this record.

    • content string

      The full text of the content stored as embeddings for this record.

curl https://api.vultrinference.com/v1/vector_store/{id}/items/{itemid} \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY"
Response · 200
{
    "item": {
        "id": "string",
        "created": "string",
        "description": "string",
        "content": "string"
    }
}